@echo off
title AC NES Save Generator

:: ===========================================================================
:: AC NES Save Generator for Windows
set version=0.1.0
:: AUTHORS: New GBA XL
:: ***************************************************************************
:: Copyright (c) 2021 New GBA XL, jamchamb, gerzytet, Wiimm
:: ===========================================================================

echo This program requires Python 3.  It has been confirmed to work with Python 3.9.
echo It also needs pip.

if not exist ".\wszst.exe" echo You must download wszst.exe to the root of the folder. Exiting..
if not exist ".\wszst.exe" timeout 15
if not exist ".\wszst.exe" exit

set /p install=Is this your first time running the program? (0-no / 1-yes) 

if %install%==1 pip install -r requirements.txt
if %install%==1 py setup.py install

echo.
echo Enter the filename of your NES game, without the file extension
set /p filename= 
echo Enter the game name of your NES game, to show up on the menu
set /p name= 

echo.
echo Compressing ROM..
.\wszst compress %filename%.nes --dest %name%.szs --number %1

echo.
echo Packing GCI..
py .\main.py %name% %name%.szs %name%_nes.gci

echo.
echo Cleaning up..
del /q %name%.szs

echo.
echo Done!  Enjoy your game!
echo You can import the saves to your GameCube using Swiss, and to your Wii using GCMM.

pause